# H248_AuditReturnParameter Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_errorDescriptor, e_mediaDescriptor, e_modemDescriptor, e_muxDescriptor, e_eventsDescriptor, e_eventBufferDescriptor, e_signalsDescriptor, e_digitMapDescriptor, e_observedEventsDescriptor, e_statisticsDescriptor, e_packagesDescriptor, e_emptyDescriptors }

## Public Member Functions

| H248_AuditReturnParameter (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_ErrorDescriptor & ()
| operator const H248_ErrorDescriptor & () const
| operator H248_MediaDescriptor & ()
| operator const H248_MediaDescriptor & () const
| operator H248_ModemDescriptor & ()
| operator const H248_ModemDescriptor & () const
| operator H248_MuxDescriptor & ()
| operator const H248_MuxDescriptor & () const
| operator H248_EventsDescriptor & ()
| operator const H248_EventsDescriptor & () const
| operator H248_EventBufferDescriptor & ()
| operator const H248_EventBufferDescriptor & () const
| operator H248_SignalsDescriptor & ()
| operator const H248_SignalsDescriptor & () const
| operator H248_DigitMapDescriptor & ()
| operator const H248_DigitMapDescriptor & () const
| operator H248_ObservedEventsDescriptor & ()
| operator const H248_ObservedEventsDescriptor & () const
| operator H248_StatisticsDescriptor & ()
| operator const H248_StatisticsDescriptor & () const
| operator H248_PackagesDescriptor & ()
| operator const H248_PackagesDescriptor & () const
| operator H248_AuditDescriptor & ()
| operator const H248_AuditDescriptor & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_AuditReturnParameter::Choices

Enumerator:

  e_errorDescriptor |
  e_mediaDescriptor |
  e_modemDescriptor |
  e_muxDescriptor |
  e_eventsDescriptor |
  e_eventBufferDescriptor |
  e_signalsDescriptor |
  e_digitMapDescriptor |
  e_observedEventsDescriptor |
  e_statisticsDescriptor |
  e_packagesDescriptor |
  e_emptyDescriptors |

## Constructor & Destructor Documentation

H248_AuditReturnParameter::H248_AuditReturnParameter | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_AuditReturnParameter::operator H248_ErrorDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_ErrorDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_MediaDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_MediaDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_ModemDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_ModemDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_MuxDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_MuxDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_EventsDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_EventsDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_EventBufferDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_EventBufferDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_SignalsDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_SignalsDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_DigitMapDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_DigitMapDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_ObservedEventsDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_ObservedEventsDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_StatisticsDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_StatisticsDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_PackagesDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_PackagesDescriptor & | ( |  | ) | const

H248_AuditReturnParameter::operator H248_AuditDescriptor & | ( |  | ) |

H248_AuditReturnParameter::operator const H248_AuditDescriptor & | ( |  | ) | const

PBoolean H248_AuditReturnParameter::CreateObject | ( |  | ) |

PObject* H248_AuditReturnParameter::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h